Constants (cglib (Version 3.1))
Date: 2015-09-15

net.sf.cglib.core

## Interface Constants

-     public interface Constants

  Version:
    $Id: Constants.java,v 1.21 2006/03/05 02:43:19 herbyderby Exp $
  Author:
    Juozas Baliuka baliuka@mwm.lt

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONSTRUCTOR_NAME`
    `static java.lang.Class[]` | `EMPTY_CLASS_ARRAY`
    `static int` | `PRIVATE_FINAL_STATIC`
    `static Signature` | `SIG_STATIC`
    `static java.lang.String` | `SOURCE_FILE`
    `static java.lang.String` | `STATIC_NAME`
    `static java.lang.String` | `SUID_FIELD_NAME`
    `static int` | `SWITCH_STYLE_HASH`
    `static int` | `SWITCH_STYLE_HASHONLY`
    `static int` | `SWITCH_STYLE_TRIE`
    `static Type` | `TYPE_BIG_DECIMAL`
    `static Type` | `TYPE_BIG_INTEGER`
    `static Type` | `TYPE_BOOLEAN`
    `static Type` | `TYPE_BYTE`
    `static Type` | `TYPE_CHARACTER`
    `static Type` | `TYPE_CLASS`
    `static Type` | `TYPE_CLASS_ARRAY`
    `static Type` | `TYPE_CLASS_LOADER`
    `static Type` | `TYPE_DOUBLE`
    `static Type` | `TYPE_ERROR`
    `static Type` | `TYPE_FLOAT`
    `static Type` | `TYPE_INTEGER`
    `static Type` | `TYPE_LONG`
    `static Type` | `TYPE_NUMBER`
    `static Type` | `TYPE_OBJECT`
    `static Type` | `TYPE_OBJECT_ARRAY`
    `static Type` | `TYPE_RUNTIME_EXCEPTION`
    `static Type` | `TYPE_SHORT`
    `static Type` | `TYPE_SIGNATURE`
    `static Type` | `TYPE_STRING`
    `static Type` | `TYPE_STRING_ARRAY`
    `static Type` | `TYPE_STRING_BUFFER`
    `static Type` | `TYPE_SYSTEM`
    `static Type` | `TYPE_THROWABLE`
    `static Type[]` | `TYPES_EMPTY`

- - ### Field Detail

    - #### EMPTY_CLASS_ARRAY

          static final java.lang.Class[] EMPTY_CLASS_ARRAY

    - #### TYPES_EMPTY

          static final Type[] TYPES_EMPTY

    - #### SIG_STATIC

          static final Signature SIG_STATIC

    - #### TYPE_OBJECT_ARRAY

          static final Type TYPE_OBJECT_ARRAY

    - #### TYPE_CLASS_ARRAY

          static final Type TYPE_CLASS_ARRAY

    - #### TYPE_STRING_ARRAY

          static final Type TYPE_STRING_ARRAY

    - #### TYPE_OBJECT

          static final Type TYPE_OBJECT

    - #### TYPE_CLASS

          static final Type TYPE_CLASS

    - #### TYPE_CLASS_LOADER

          static final Type TYPE_CLASS_LOADER

    - #### TYPE_CHARACTER

          static final Type TYPE_CHARACTER

    - #### TYPE_BOOLEAN

          static final Type TYPE_BOOLEAN

    - #### TYPE_DOUBLE

          static final Type TYPE_DOUBLE

    - #### TYPE_FLOAT

          static final Type TYPE_FLOAT

    - #### TYPE_LONG

          static final Type TYPE_LONG

    - #### TYPE_INTEGER

          static final Type TYPE_INTEGER

    - #### TYPE_SHORT

          static final Type TYPE_SHORT

    - #### TYPE_BYTE

          static final Type TYPE_BYTE

    - #### TYPE_NUMBER

          static final Type TYPE_NUMBER

    - #### TYPE_STRING

          static final Type TYPE_STRING

    - #### TYPE_THROWABLE

          static final Type TYPE_THROWABLE

    - #### TYPE_BIG_INTEGER

          static final Type TYPE_BIG_INTEGER

    - #### TYPE_BIG_DECIMAL

          static final Type TYPE_BIG_DECIMAL

    - #### TYPE_STRING_BUFFER

          static final Type TYPE_STRING_BUFFER

    - #### TYPE_RUNTIME_EXCEPTION

          static final Type TYPE_RUNTIME_EXCEPTION

    - #### TYPE_ERROR

          static final Type TYPE_ERROR

    - #### TYPE_SYSTEM

          static final Type TYPE_SYSTEM

    - #### TYPE_SIGNATURE

          static final Type TYPE_SIGNATURE

    - #### CONSTRUCTOR_NAME

          static final java.lang.String CONSTRUCTOR_NAME

      See Also:
        Constant Field Values

    - #### STATIC_NAME

          static final java.lang.String STATIC_NAME

      See Also:
        Constant Field Values

    - #### SOURCE_FILE

          static final java.lang.String SOURCE_FILE

      See Also:
        Constant Field Values

    - #### SUID_FIELD_NAME

          static final java.lang.String SUID_FIELD_NAME

      See Also:
        Constant Field Values

    - #### PRIVATE_FINAL_STATIC

          static final int PRIVATE_FINAL_STATIC

    - #### SWITCH_STYLE_TRIE

          static final int SWITCH_STYLE_TRIE

      See Also:
        Constant Field Values

    - #### SWITCH_STYLE_HASH

          static final int SWITCH_STYLE_HASH

      See Also:
        Constant Field Values

    - #### SWITCH_STYLE_HASHONLY

          static final int SWITCH_STYLE_HASHONLY

      See Also:
        Constant Field Values

Copyright (c) 2001 - Apache Software Foundation